
Name: rainlendar2-lite
Version: 2.15.4.b166
Release: %mkrel 2


URL: http://www.rainlendar.net/cms/index.php
Summary: Customizable desktop calendar
Source0: Rainlendar-Lite-2.15.4-amd64.tar.bz2
Source1: rainlendar2.desktop
Source2: rainlendar2.png
Group: Office
License: Commercial
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: pclinuxos-release
Requires: lib64curl4
Requires: lib64atk1.0_0
Requires: lib64cairo2
Requires: lib64fontconfig1
Requires: lib64freetype6
Requires: lib64glib2.0_0
Requires: lib64gtk+2.0_0
Requires: lib64pango1.0_0
Requires: lib64png3
Requires: lib64expat1
Requires: lib64xinerama1
Requires: lib64jpeg62
Requires: lib64openssl1.0.0
Requires: openssl
Requires: glib2.0-common
AutoProv: no

%description
Rainlendar is a feature rich calendar application that is easy to
use and doesn't take much space on your desktop. The appearance
can be customized with skins. Rainlendar uses the standard
iCalendar file format so it is compatible with most calendar
applications.



%prep
#nothing

%build
#nobuild

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps

tar xvf %SOURCE0 -C %{buildroot}/opt

ln -fs /opt/rainlendar2/rainlendar2 %{buildroot}/%{_bindir}/rainlendar2

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/rainlendar2.desktop
install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/rainlendar2.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/rainlendar2
/opt/rainlendar2
%{_datadir}/applications/rainlendar2.desktop
%{_datadir}/pixmaps


%changelog
* Thu Oct 22 2020 tex - 2.15.4.b166-2pclos2020
- use tarball

* Wed Oct 21 2020 tex - 2.15.4.b166-1pclos2020
- update

